<%# <script src="//cdnjs.cloudflare.com/ajax/libs/pdf.js/1.8.349/pdf.min.js"></script> %>

<!-- Modal -->
<div class="modal fade" id="startPostModal" tabindex="-1" aria-labelledby="startPostModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-custom-md">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="startPostModalLabel">Create a post</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='newJob'>
        <div class="modal-body">
          <div class="row wrapper-box">
            <div class="col-md-1 no-padding padding-top-15">
              <figure class="avatar mr-3">
                <%# src = "profpic_male_index.jpg" if current_user.user_info.gender %>
                <%# src = current_user.image_url(:thumb) if (current_user.image_url rescue false) %>
                <%= image_tag "https://i.picsum.photos/id/237/536/354.jpg?hmac=i0yVXW1ORpyCZpQ-CknuyV-jbtU7_x9EBQVhvT5aRr0", size: "40x40", alt: " ", :style=>"border-radius: 20px;"%>
              </figure>
            </div>
            <div class="col-md-11">
              <div class="row margin-top-0"> 
                <div class="col-md-12">
                  <strong class="emp-name"><%= current_user.name.titleize %></strong>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <button class="share-state-change-button__button artdeco-button artdeco-button--muted artdeco-button--1 artdeco-button--secondary mr1" aria-label="Post visibility options. Current setting: Connections only." type="button" data-bs-toggle="modal" data-bs-target="#postingAsModal">
                    <li-icon aria-hidden="true" type="people-icon" class="share-state-change-button__icon" size="small"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" data-supported-dps="16x16" fill="currentColor" class="mercado-match" width="16" height="16" focusable="false">
                    <path d="M14 11.75V15H9v-3.25A1.75 1.75 0 0110.75 10h1.5A1.75 1.75 0 0114 11.75zM11.5 9A2.5 2.5 0 109 6.5 2.5 2.5 0 0011.5 9zM5 1a3 3 0 103 3 3 3 0 00-3-3zm.75 7h-1.5A2.25 2.25 0 002 10.25V15h6v-4.75A2.25 2.25 0 005.75 8z"></path>
                  </svg></li-icon>
                    <span class="ph1" id="post-as-name">
                      <% if @post.persisted? %>
                        <% if @post.applies_to == "specific" %>
                          Specific Employees
                        <% elsif @post.applies_to == "some" %>
                          Some Employees
                        <% else %>
                          All Employees
                        <% end %>
                      <% else %>
                        <%# All Employees %>
                        <%= current_user.name %>
                      <% end %>
                    </span>
                      <li-icon aria-hidden="true" type="caret-filled-down-icon" class="share-state-change-button__icon" size="small"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" data-supported-dps="16x16" fill="currentColor" class="mercado-match" width="16" height="16" focusable="false">
                    <path d="M8 11L3 6h10z" fill-rule="evenodd"></path>
                  </svg></li-icon>
                  </button>
                </div>
              </div>
            </div>
          </div>
          <%= form_for @post, remote: true, :html => { :id => "startPost" } do |f|%>
            <%= f.hidden_field :posting_as, value: '', id: "posting-as" %>
            <%= f.hidden_field :business_id %>
            <%= f.hidden_field :post_type, value: 'normal_post' %>
            <%= f.text_area :description, placeholder: "What do you want to talk about?", cols: '52', rows: '4', class: 'mt-4' %>
            
            <div id='poll-section'>
              <%= f.fields_for :polls do |poll|  %>
                <%= render "shared/poll_fields", :f => poll %>
                <%= poll.label :duration %>
                <%= poll.select :duration, ['1 Day','3 Days', '1 Week', '2 Weeks'], {}, { class: "form-control normal" } %>
              <% end %>
            </div>

            <%= render 'posts/file_upload_buttons' %>
            <%= f.file_field :files, multiple: true, id: 'fileUpload', class: 'fileUpload' %>
            <%= f.file_field :clip, id: 'clipUpload', class: 'clipUpload' %>
            <%= f.file_field :document, id: 'docUpload', class: 'docUpload' %>
            <div class="img-thumbs img-thumbs-hidden" id="image-holder"></div>
            <div class='row mt-4'>
              <div class='col-md-12 pdf-previewer'>
                Below is the preview of document you want to upload
              </div>
              <div class='col-md-12'>
                <iframe id="iframeid" width="100%" height="100%" class='pdf-previewer'></iframe>
              </div>
            </div>
          <% end %>
        </div>
      </div>
      <div class="modal-footer start-a-post-buttons">
        <button type="button" class="btn btn-secondary close-btn" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-secondary back-btn">Back</button>
        <button type="button" class="btn btn-primary done-btn">Done</button>
        <button type="submit" form="startPost" class="btn btn-primary post-btn">Post</button>
      </div>
    </div>
  </div>
</div>

<%= render partial: 'posts/post_as' %>

    <script type="text/javascript">
        $(document).ready(function () {
            $('.createPoll').on('click', function(){
              $('#startPost').find('.poll-fields').removeClass('poll-fields')
              $('#post_description').hide()
              $('#post-upload-options').hide()
              $('#poll-section').show()
              $('.back-btn').show()
              $('.done-btn').show()
              $('.close-btn').hide()
              $('.post-btn').hide()
            })

            $('.back-btn').on('click', function(){
              $('#post_description').show()
              $('#post-upload-options').show()
              $('#poll-section').hide()
            })

            $('.back-btn').on('click', function(){
              $('#post_description').show()
              $('#post-upload-options').show()
              $('#poll-section').hide()
            })

            $('.done-btn').on('click', function(){
              $('#post_description').show()
              $('#poll-section').hide()
              $('.done-btn').hide()
              $('.post-btn').show()
              $('.close-btn').show()
              $('.back-btn').hide()
            })

            $("#docUpload").change(function () {
              var file =this.files[0];
              var url =URL.createObjectURL(file );
              $('#iframeid').attr('src',url);
              $('.pdf-previewer').show()
              // if (this.files && this.files[0]) {
              //     var reader = new FileReader();
              //     reader.onload = function (e) {
              //         showInCanvas(e.target.result);
              //     }
              //     reader.readAsDataURL(this.files[0]);
              // }
            });

            // function convertDataURIToBinary(dataURI) {
            //     var BASE64_MARKER = ';base64,';
            //     var base64Index = dataURI.indexOf(BASE64_MARKER) + BASE64_MARKER.length;
            //     var base64 = dataURI.substring(base64Index);
            //     var raw = window.atob(base64);
            //     var rawLength = raw.length;
            //     var array = new Uint8Array(new ArrayBuffer(rawLength));

            //     for (i = 0; i < rawLength; i++) {
            //         array[i] = raw.charCodeAt(i);
            //     }
            //     return array;
            // }

            // function showInCanvas(url) {
            //     // See README for overview 
            //     'use strict';
            //     // Fetch the PDF document from the URL using promises 
            //     var pdfAsArray = convertDataURIToBinary(url);
            //     PDFJS.getDocument(pdfAsArray).then(function (pdf) {
            //         // Using promise to fetch the page 
            //         pdf.getPage(1).then(function (page) {
            //             var scale = 1.5;
            //             var viewport = page.getViewport(scale);
            //             // Prepare canvas using PDF page dimensions 
            //             var canvas = document.getElementById('the-canvas');
            //             var context = canvas.getContext('2d');
            //             canvas.height = viewport.height;
            //             canvas.width = viewport.width;
            //             // Render PDF page into canvas context 
            //             var renderContext = {
            //                 canvasContext: context,
            //                 viewport: viewport
            //             };
            //             page.render(renderContext);
            //         });
            //     });
            // }
        });
    </script>